Bug 15600 - FIFO in windows version of R
Summary: FIFO in windows version of R
Status: CLOSED FIXED
Alias: None
Product: R
Classification: Unclassified
Component: Windows GUI / Window specific (show other bugs)
Version: R 3.0.2
Hardware: All Windows 32-bit
: P5 enhancement
Assignee: R-core
URL:
Depends on:
Blocks:
 
Reported: 2013-12-08 21:16 UTC by Thibault MEYER
Modified: 2015-12-03 08:15 UTC (History)
0 users

See Also:


Attachments
Correction to con->text (467 bytes, patch)
2015-12-03 08:15 UTC, Suharto Anggono
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thibault MEYER 2013-12-08 21:16:46 UTC
Windows version of R lacks of FIFO functionality (http://developer.r-project.org/WindowsTODO.html). I have worked on during 2 weeks to release a first draft of implementation using the Windows API.


By exemple, if you type this command : "fifo("/tmp/my_fifo", open="read")", Windows will open "\\.\pipe\/tmp/my_fifo"

https://github.com/0xbaadf00d/r-project_win_fifo

Sincerly,
Thibault MEYER
Comment 1 Brian Ripley 2014-03-05 07:31:30 UTC
A corrected version has been merged into the trunk.
Comment 2 Suharto Anggono 2015-12-03 08:15:01 UTC
Created attachment 1942 [details]
Correction to con->text

> # 'b' gives text mode!
> fifo("\\\\.\\pipe\\1", open="wb")
     description            class             mode             text
"8Tå\002pipe\\1"           "fifo"             "wb"           "text"
          opened         can read        can write
        "opened"             "no"            "yes"
> fifo("\\\\.\\pipe\\2", open="w")
     description            class             mode             text
"8Tå\002pipe\\2"           "fifo"              "w"         "binary"
          opened         can read        can write
        "opened"             "no"            "yes"
> sessionInfo()
R version 3.2.2 (2015-08-14)
Platform: i386-w64-mingw32/i386 (32-bit)
Running under: Windows XP (build 2600) Service Pack 3

locale:
[1] LC_COLLATE=English_United States.1252
[2] LC_CTYPE=English_United States.1252
[3] LC_MONETARY=English_United States.1252
[4] LC_NUMERIC=C
[5] LC_TIME=English_United States.1252

attached base packages:
[1] stats     graphics  grDevices utils     datasets  methods   base